Bug 1787384 - CVE-2019-19918 lout: heap-based buffer overflow in srcnext in z02.c [fedora-all]
Summary: CVE-2019-19918 lout: heap-based buffer overflow in srcnext in z02.c [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lout
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-19918
TreeView+ depends on / blocked
 
Reported: 2020-01-02 16:15 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-11-07 00:53 UTC (History)
1 user (show)

Fixed In Version: lout-3.40-18.fc33 lout-3.40-18.fc32 lout-3.40-18.fc31 lout-3.40-18.el7 lout-3.40-18.el6
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-31 01:53:45 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-01-02 16:15:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-01-02 16:15:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1787383,1787384

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2020-06-03 02:51:21 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2020-10-23 14:38:53 UTC
FEDORA-2020-88fb82d1cd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-88fb82d1cd

Comment 4 Fedora Update System 2020-10-23 14:38:53 UTC
FEDORA-EPEL-2020-284f18e5de has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-284f18e5de

Comment 5 Fedora Update System 2020-10-23 14:38:54 UTC
FEDORA-2020-81c80ff1ed has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-81c80ff1ed

Comment 6 Fedora Update System 2020-10-23 14:39:09 UTC
FEDORA-EPEL-2020-ca0361c919 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ca0361c919

Comment 7 Fedora Update System 2020-10-23 23:41:05 UTC
FEDORA-2020-81c80ff1ed has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-81c80ff1ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-81c80ff1ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-23 23:51:24 UTC
FEDORA-2020-869cd99560 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-869cd99560`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-869cd99560

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-23 23:53:57 UTC
FEDORA-EPEL-2020-ca0361c919 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ca0361c919

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-23 23:57:10 UTC
FEDORA-2020-88fb82d1cd has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-88fb82d1cd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-88fb82d1cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-23 23:57:25 UTC
FEDORA-EPEL-2020-284f18e5de has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-284f18e5de

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-31 01:53:45 UTC
FEDORA-2020-81c80ff1ed has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-31 02:01:38 UTC
FEDORA-2020-869cd99560 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-10-31 02:01:57 UTC
FEDORA-2020-88fb82d1cd has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-11-07 00:51:36 UTC
FEDORA-EPEL-2020-284f18e5de has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-11-07 00:53:04 UTC
FEDORA-EPEL-2020-ca0361c919 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.